Please consider adding vaapi use flag

Discuss all artwork and development - Suggestions needed

Moderator: Moderators

Post Reply
barkas
Baby Hen
Posts: 2
Joined: Sat Nov 13, 2010 15:38

Please consider adding vaapi use flag

Post by barkas » Sat Nov 13, 2010 16:08

Unfortunately I do not own an nvidia card.
While "vdpau" is set, "vaapi" is not, so my intel and ati stuff doesn't accelerate any video at the moment.

So please someone add USE="vaapi" so I can have my video acceleration :) .

Thev00d00
Generally Awesome (tm)
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom
Contact:

Re: Please consider adding vaapi use flag

Post by Thev00d00 » Sat Nov 13, 2010 18:45

Which packages?

You will need to file a bug. http://bugs.sabayon.org
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me

barkas
Baby Hen
Posts: 2
Joined: Sat Nov 13, 2010 15:38

Re: Please consider adding vaapi use flag

Post by barkas » Sat Nov 13, 2010 21:58

Will do.

basically all packages that have it, which are mostly the same that have a vdpau Use flag.

ffmpeg
xbmc
hwdecode-demos
vlc
gnash

are the ones I could find. I know there is a special vaapi version of mplayer, but that doesn't yet seem to be in portage.

EDIT: there already is a bug for that, at least for vlc and ffmpeg: https://bugs.sabayon.org/show_bug.cgi?id=1912

User avatar
Fitzcarraldo
Sagely Hen
Posts: 8186
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: Please consider adding vaapi use flag

Post by Fitzcarraldo » Thu Mar 10, 2011 20:14

Setting the vaapi USE flag causes XBMC 10.0-r2 to crash on my ASRock ION 330HT (NVIDIA ION GPU) when playing divx videos (see SL Bugzilla bug report no. 2221). So an Entropy package of XBMC with the vaapi USE flag set is no good to me.

Post Reply